/* Stars */

.stars  {
	span:before {
		@include icon($fa-var-star-o);
	}
	
	&.s1 {
		& > span:before {
			@include icon($fa-var-star-half-o);
		}
	}
	
	&.s2 {
		& > span:before {
			@include icon($fa-var-star);
		}
	}
	
	&.s3 {
		& > span:before {
			@include icon($fa-var-star);
		}
		
		& > span > span:before {
			@include icon($fa-var-star-half-o);
		}
	}
	
	&.s4 {
		& > span:before,
		& > span > span:before {
			@include icon($fa-var-star);
		}
	}
	
	&.s5 {
		& > span:before,
		& > span > span:before {
			@include icon($fa-var-star);
		}
		
		& > span > span > span:before {
			@include icon($fa-var-star-half-o);
		}
	}
	
	&.s6 {
		& > span:before,
		& > span > span:before,
		& > span > span > span:before {
			@include icon($fa-var-star);
		}
	}
	
	&.s7 {
		& > span:before,
		& > span > span:before,
		& > span > span > span:before {
			@include icon($fa-var-star);
		}
		
		& > span > span > span > span:before {
			@include icon($fa-var-star-half-o);
		}
	}
	
	&.s8 {
		& > span:before,
		& > span > span:before,
		& > span > span > span:before,
		& > span > span > span > span:before {
			@include icon($fa-var-star);
		}
	}
	
	&.s9 {
		span:before {
			@include icon($fa-var-star);
		}
		
		& > span > span > span > span > span:before {
			@include icon($fa-var-star-half-o);
		}
	}
	
	&.s10 {
		span:before {
			@include icon($fa-var-star);
		}
	}
	
	&.rateable:hover {
		span,
		span span,
		span span span,
		span span span span,
		span span span span span {
			&:before {
				@include icon($fa-var-star-o);
			}
			
			&:hover:before {
				@include icon($fa-var-star);
			}
		}
	}
}
